Buf(1)

NAME
buf-registry-login - Log in to the Buf Schema Registry

SYNOPSIS
buf registry login [domain] [flags]

DESCRIPTION
This command will open a browser to complete the login process. Use the flags --prompt or --token-stdin to complete an alternative login flow. The token is saved to your .netrc file. The [domain] argument will default to buf.build if not specified.

OPTIONS
-h, --help[=false]
    help for login

--prompt[=false]
    Prompt for the token. The device must be a TTY. Exclusive with the flag --token-stdin.

--token-stdin[=false]
    Read the token from stdin. This command prompts for a token by default. Exclusive with the flag --prompt.

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-registry(1)

HISTORY
2025-10-20 Auto generated by spf13/cobra